# class RefPointer | Templated smart pointer class. More...
Full name | `TelEngine::RefPointer`
Definition | `#include <yateclass.h>`
Template form | RefPointer<class Obj = RefObject>
Inherits | TelEngine::RefPointerBase [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline RefPointer ()
- inline RefPointer (const RefPointer& value)
- inline RefPointer (Obj* object)
- inline ~RefPointer ()
- inline RefPointer& operator= (const RefPointer& value)
- inline RefPointer& operator= (Obj* object)
- inline operator Obj* () const
- inline Obj* operator-> () const
- inline Obj& operator* () const

#### Protected Methods

- inline Obj* pointer () const
- inline void assign (Obj* object = 0)

## Detailed Description

inline Obj* pointer () | ### pointer

[protected const]

Retrieve the stored pointer

Returns: A typed pointer

inline void assign (Obj* object = 0) | ### assign

[protected]

Set a new stored pointer

Parameters:

object | Pointer to the new stored object

Reimplemented from RefPointerBase.

inline RefPointer () | ### RefPointer

Default constructor - creates a null smart pointer

inline RefPointer (const RefPointer& value) | ### RefPointer

Copy constructor, references the object

Parameters:

value | Original RefPointer

inline RefPointer (Obj* object) | ### RefPointer

Constructs an initialized smart pointer, references the object

Parameters:

object | Pointer to object

inline ~RefPointer () | ### ~RefPointer

Destructs the pointer and dereferences the object

inline RefPointer& operator= (const RefPointer& value) | ### operator=

Assignment from smart pointer

inline RefPointer& operator= (Obj* object) | ### operator=

Assignment from regular pointer

inline operator Obj* () | ### operator Obj*

[const]

Conversion to regular pointer operator

Returns: The stored pointer

inline Obj* operator-> () | ### operator->

[const]

Member access operator

inline Obj& operator* () | ### operator*

[const]

Dereferencing operator

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.